Bug 150145 - [patch] ftp/smbftpd port rewrite configuration files on update
Summary: [patch] ftp/smbftpd port rewrite configuration files on update
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sunpoet Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-08-31 13:00 UTC by mail_of_sergey
Modified: 2010-11-09 12:40 UTC (History)
0 users

See Also:


Attachments
file.shar (2.11 KB, text/plain)
2010-08-31 13:00 UTC, mail_of_sergey
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description mail_of_sergey 2010-08-31 13:00:14 UTC

Fix: smbftpd.txt patched port's Makefile.
patch-Makefile must be placed at "files" subdirectory of port.

Patch attached with submission follows:
How-To-Repeat: 1. Edit something at config files
2. Make reinstall port
3. Your changes are discarded
Comment 1 Edwin Groothuis freebsd_committer 2010-08-31 13:00:25 UTC
Maintainer of ftp/smbftpd,

Please note that PR ports/150145 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/150145

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2010-08-31 13:00:30 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Philip M. Gollucci freebsd_committer 2010-09-23 05:51:22 UTC
State Changed
From-To: feedback->open

maintainer timeout (jnlin@csie.nctu.edu.tw ; 23 days)
Comment 4 Jui-Nan Lin 2010-10-07 16:34:38 UTC
Hi,

Please commit this patch, thank you.

http://florence.tamama.org/~jnlin/smbftpd-2.2_1.patch

On Thu, Sep 23, 2010 at 12:51 PM,  <pgollucci@freebsd.org> wrote:
> Synopsis: [patch] ftp/smbftpd port rewrite configuration files on update
>
> State-Changed-From-To: feedback->open
> State-Changed-By: pgollucci
> State-Changed-When: Thu Sep 23 04:51:22 UTC 2010
> State-Changed-Why:
> maintainer timeout (jnlin@csie.nctu.edu.tw ; 23 days)
>
> http://www.freebsd.org/cgi/query-pr.cgi?pr=150145
>
Comment 5 Sunpoet Po-Chuan Hsieh freebsd_committer 2010-11-08 13:40:46 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sunpoet

I will take it.
Comment 6 dfilter service freebsd_committer 2010-11-09 12:33:07 UTC
sunpoet     2010-11-09 12:33:00 UTC

  FreeBSD ports repository

  Modified files:
    ftp/smbftpd          Makefile distinfo pkg-plist 
  Log:
  - Install configuration files as *.sample to avoid overriding existing ones
  - Use ETCDIR
  - Bump PORTEVISION
  
  PR:             ports/150145
  Submitted by:   Sergey Zaykov <mail_of_sergey@mail.ru> (based on)
  Approved by:    Jui-Nan Lin <jnlin@csie.nctu.edu.tw> (maintainer)
  
  Revision  Changes    Path
  1.10      +6 -1      ports/ftp/smbftpd/Makefile
  1.6       +0 -1      ports/ftp/smbftpd/distinfo
  1.3       +6 -6      ports/ftp/smbftpd/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Sunpoet Po-Chuan Hsieh freebsd_committer 2010-11-09 12:33:13 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!